import { AfterViewInit, ChangeDetectorRef, OnDestroy } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { Subject } from 'rxjs';
import { SdFormGenericRadio, SdFormGenericSelectionItem } from '../../../../../../models';
import { FormGenericService } from '../../../../../../services';
import { Router } from '@angular/router';
import * as i0 from "@angular/core";
export declare class RadioComponent implements AfterViewInit, OnDestroy {
    #private;
    private router;
    private ref;
    private readonly formGenericService;
    setVariables: Subject<{
        key: string;
        value: any;
    }>;
    form: FormGroup<{}>;
    set _form(form: FormGroup);
    value: any;
    entity: Record<string, any>;
    set _entity(val: Record<string, any>);
    component: SdFormGenericRadio;
    set _component(val: SdFormGenericRadio);
    disabled: boolean;
    set _disabled(val: boolean | '' | undefined | null);
    required: boolean;
    set _required(val: boolean | '' | undefined | null);
    viewed: boolean;
    set _viewed(val: boolean | '' | undefined | null);
    items: SdFormGenericSelectionItem[];
    constructor(router: Router, ref: ChangeDetectorRef, formGenericService: FormGenericService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onNavigate: (url: string) => void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RadioComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RadioComponent, "lib-radio", never, { "setVariables": { "alias": "setVariables"; "required": true; }; "_form": { "alias": "form"; "required": true; }; "_entity": { "alias": "entity"; "required": true; }; "_component": { "alias": "component"; "required": true; }; "_disabled": { "alias": "disabled"; "required": false; }; "_required": { "alias": "required"; "required": false; }; "_viewed": { "alias": "viewed"; "required": false; }; }, {}, never, never, true, never>;
}
